Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006297opensim[REGION] Physics Enginespublic2012-09-14 12:302014-07-29 13:41
ReporterRobert Adams 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006297: Physical sculpty shapes fall through the terrain and don't act properly physical
DescriptionLike the summary says, sculpty shapes do not bounce on the terrain and they act oddly by accelerating and jumping out of the region.
Steps To ReproduceCreate a sculpty object. Set it at 10m above the ground. Set object to physical and let go. The sculpty object will drop through the terrain and then bounce up into the sky and eventually leave the region.
TagsNo tags attached.
Git Revision or version number9812d7ae7e29eeb3171edd380ecb8a91df4731fa
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Files

- Relationships

-  Notes
(0022727)
Robert Adams (administrator)
2012-09-28 13:46

Latest version of BulletSim (9/28/2012) fixes this problem.
(0022791)
Robert Adams (administrator)
2012-10-02 17:50

This wasn't as fixed as I thought.
(0023032)
Robert Adams (administrator)
2012-11-07 09:49

Problem is that meshes are not set up to collide while hulls are and the conversion from mesh to hull was not happening for physical shapes. Conversion is now happening and such shapes do not fall through.

- Issue History
Date Modified Username Field Change
2012-09-14 12:30 Robert Adams New Issue
2012-09-14 12:30 Robert Adams Status new => assigned
2012-09-14 12:30 Robert Adams Assigned To => Robert Adams
2012-09-28 13:46 Robert Adams Note Added: 0022727
2012-09-28 13:46 Robert Adams Status assigned => resolved
2012-09-28 13:46 Robert Adams Fixed in Version => master (dev code)
2012-09-28 13:46 Robert Adams Resolution open => fixed
2012-10-02 17:50 Robert Adams Note Added: 0022791
2012-10-02 17:50 Robert Adams Status resolved => confirmed
2012-11-07 09:49 Robert Adams Note Added: 0023032
2012-11-07 09:49 Robert Adams Status confirmed => resolved
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker